Subject: Re: bug#65380: [PATCH] Add command to copy contents in a diff-mode buffer

From: Gregory Heytings <[email-masked]>
Date: Sun, 20 Aug 2023 21:29:43 +0000

>
> That's not quite what I mean. "C-x r y" ('yank-rectangle') yanks the 
> rectangle *as a rectangle*. That is, if I just copied a rectangle with 5 
> lines, and yank it with 'yank-rectangle', it will add it to the next 5 
> existing lines. Instead, what I want is to insert 5 new lines.
>

Indeed, I see what you mean.  Perhaps a new C-x r command that would do 
that could be added to Emacs?